Bug 240065 - devel/boost-jam: fix build on GCC architectures
Summary: devel/boost-jam: fix build on GCC architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-office mailing list
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-08-24 01:32 UTC by Piotr Kubaj
Modified: 2019-09-10 11:41 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (office)


Attachments
patch (308 bytes, patch)
2019-08-24 01:32 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (office)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-08-24 01:32:13 UTC
Created attachment 206838 [details]
patch

I'm sending a PR just in case, since lots of ports depend on this one.

The error:
cc1plus: error: unrecognized command line option "-std=c++11"
Comment 1 Sean Bruno freebsd_committer 2019-08-30 22:32:06 UTC
This was also hit in the fbsd cluster while build PPC ports.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2019-09-09 23:09:46 UTC
I have already been using an identical patch on ppcports, and it builds.  So, approved as mentor.

IIUC this should now be committable via maintainer-timeout.
Comment 3 commit-hook freebsd_committer 2019-09-10 11:41:09 UTC
A commit references this bug:

Author: pkubaj
Date: Tue Sep 10 11:40:25 UTC 2019
New revision: 511754
URL: https://svnweb.freebsd.org/changeset/ports/511754

Log:
  devel/boost-jam: fix build on GCC architectures

  Use new GCC on GCC architectures:
  The error:
  cc1plus: error: unrecognized command line option "-std=c++11"

  PR:		240065
  Approved by:	linimon (mentor), office (maintainer timeout)

Changes:
  head/devel/boost-jam/Makefile